<?php
/*-----------------------------------------------------------------------------
 *  UPDATE for 7.2.0 (7166)
 *
 *  - remove pairings for new network layer
 *
 *---------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------
 *  MAIN - FUNCTION
 */
function UpdatePairings()
{
  global $localStore;
  $accessBuild = intval( ACCESS_BUILD );

  printf( "Start unpairing devices (currentVersion=%d)\r\n", $accessBuild );
  
  for( $i = 0; $i < $localStore->Size( ); $i++ ) {
    // remove rule configuration
    $entityId = $localStore->GetEntityIdAt( $i );
    UpdatePairingDevice( $entityId );
  }

}

/*-----------------------------------------------------------------------------
 *  remove pairing for a device
 */
function UpdatePairingDevice( $entityId )
{
  global $localStore;
  $changed = false;
  $params = $localStore->GetEntityParams( $entityId );

  // check for "sn" or "fp"
  if( is_array( $params ) )  {
    if( key_exists( "sn", $params ) ) {
      unset( $params['sn'] );
      $changed = true;
    }
    if( key_exists( "fp", $params ) ) {
      unset( $params['fp'] );
      $changed = true;
    }
  }

  if( $changed )  {
    $localStore->SetEntityParams( $entityId, $params );
  }
}

