<?php
/*-----------------------------------------------------------------------------
 *  UPDATE for 7.2.0 (7125)
 *
 *  - asc/asht dynamic psw
 *
 *---------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------
 *  MAIN - FUNCTION
 */
function Update7140()
{
  global $localStore;
  $accessBuild = intval( ACCESS_BUILD );

  if( FORCE || FORCE_6_1 || $localStore->GetBuild( 'folder.confdev' ) <= 7140 )  {
    printf( "Start Update #7140 (currentVersion=%d)\r\n", $accessBuild );
  
    for( $i = 0; $i < $localStore->Size( ); $i++ ) {
      // remove rule configuration
      $entityId = $localStore->GetEntityIdAt( $i );
      Update7140Client( $entityId );
    }
  }
  else {
    printf( "Skip update #7140 Server version=%d\r\n", $accessBuild );
  }

}

/*-----------------------------------------------------------------------------
 *  ADD SUS tiles if needed
 */
function Update7140Client( $entityId )
{
  global $localStore;
  $entity = $localStore->Get( $entityId );

  // only client forms will be updated
  if( !isset( $entity['class'] ) 
   || ( $entity['class'] != "apartment" 
     && $entity['class'] != "client" 
     && $entity['class'] != "asht" 
     && $entity['class'] != "avp" 
      ) 
    ) {
    return;
  }

  // set deviceTemplate on 'client' and 'asht'
  if( $entity["deviceTemplate"] == "" && $entity['class'] == "client" ) {
    $entity["deviceTemplate"] = "ASC_170";
  }
  else if( $entity["deviceTemplate"] == "" && $entity['class'] == "asht" ) {
    $entity["deviceTemplate"] = "ASHT_170";
  }

  // on (very) old ssmp devices set recode flag
  if( isset( $entity["video"] ) ) {
    if( $entity["deviceTemplate"] == "AHTV_870-0" 
     || $entity["deviceTemplate"] == "AHFV_870-0" 
      ) {
      $entity["video"]["h264recode"] = true;
      $entity["video"]["h264payload"] = 99;
    }
    else if( $entity["deviceTemplate"] == "AVP_870-0" ) {
      $entity["video"]["h264recode"] = false;
      $entity["video"]["h264payload"] = 99;
    }
    else {
      $entity["video"]["h264recode"] = false;
      $entity["video"]["h264payload"] = 0;
    }
  }

  $localStore->Set( $entityId, $entity );

}
