<?php
/*-----------------------------------------------------------------------------
 *  UPDATE for 7.2.0 (7155)
 *
 *  - remove pairings for new network layer
 *
 *---------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------
 *  MAIN - FUNCTION
 */
function Update7155()
{
  global $localStore;
  $accessBuild = intval( ACCESS_BUILD );

  if( FORCE || FORCE_6_1 || $localStore->GetBuild( 'folder.confdev' ) <= 7155 )  {
    printf( "Start Update #7155 (currentVersion=%d)\r\n", $accessBuild );
  
    for( $i = 0; $i < $localStore->Size( ); $i++ ) {
      // remove rule configuration
      $entityId = $localStore->GetEntityIdAt( $i );
      Update7155Pairing( $entityId );
    }

    Update7155RemoveCertificates();
  }
  else {
    printf( "Skip update #7155 Server version=%d\r\n", $accessBuild );
  }

}

/*-----------------------------------------------------------------------------
 *  remove pairings
 */
function Update7155Pairing( $entityId )
{
  global $localStore;
  $changed = false;
  $params = $localStore->GetEntityParams( $entityId );

  // check for "sn" or "fp"
  if( is_array( $params ) )  {
    if( key_exists( "sn", $params ) ) {
      unset( $params['sn'] );
      $changed = true;
    }
    if( key_exists( "fp", $params ) ) {
      unset( $params['fp'] );
      $changed = true;
    }
  }

  if( $changed )  {
    $localStore->SetEntityParams( $entityId, $params );
    printf( "  set new entity params (%s)\r\n", $entityId );  
  }
}

/*-----------------------------------------------------------------------------
 *  remove created certificates
 */
function Update7155RemoveCertificates()
{
  $dir = scandir( CONFIG_PATH . "cert/" );
  foreach( $dir as $filename ) {
    if( $filename == '.' || $filename == '..' ) {
      continue;
    }

    $fileparts = pathinfo( $filename );
    if( ( strlen( $fileparts['filename'] ) > 6 )
     && ( substr( $fileparts['filename'], 0, 6 ) == "server" ) 
      ) {
      unlink( CONFIG_PATH . "cert/" . $filename );
      printf( "  remove certificate (%s)\r\n", $filename );  
    }

    if( ( strlen( $fileparts['filename'] ) > 4 )
     && ( substr( $fileparts['filename'], 0, 4 ) == "asvp" ) 
      ) {
      unlink( CONFIG_PATH . "cert/" . $filename );
      printf( "  remove certificate (%s)\r\n", $filename );  
    }

  }
}
