<?php
/*-----------------------------------------------------------------------------
 *  UPDATE for 7.2.0 (7163)
 *
 *  - add lastdoor/-light to jungpanel
 *
 *---------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------
 *  MAIN - FUNCTION
 */
function Update7163()
{
  global $localStore;
  $accessBuild = intval( ACCESS_BUILD );

  if( FORCE || FORCE_6_1 || $localStore->GetBuild( 'folder.confdev' ) <= 7163 )  {
    printf( "Start Update #7163 (currentVersion=%d)\r\n", $accessBuild );
  
    for( $i = 0; $i < $localStore->Size( ); $i++ ) {
      $entityId = $localStore->GetEntityIdAt( $i );
      Update7163Jungpanel( $entityId );
    }
  }
  else {
    printf( "Skip update #7163 Server version=%d\r\n", $accessBuild );
  }

}

/*-----------------------------------------------------------------------------
 *  ADD statepoint lastdoor/-light 
 */
function Update7163Jungpanel( $entityId )
{
  global $localStore;
  $entity = $localStore->Get( $entityId );
  $isChanged = false;

  // only jungpanel forms will be updated
  if( !isset( $entity['class'] ) || $entity['class'] != "jungpanel" ) {
    return;
  }

  // add lastdoor, if needed
  if( !isset( $entity["sp"]["lastdoor"] ) ) {
    $entity["sp"]["lastdoor"] = Array( 
      "address" => $localStore->GetRootId() . "/" . $entity['entid'] . "/lastdoor", 
      "type" => "BOOL",
      "name" => "lastdoor",
      "template" => "lastdoor",
      "persistent" => false,
      "hidden" => true,
      "alias"=> Array( 
        "target" => null,
        "timeout" => 0
      )
    );  
    $isChanged = true;
  }

  // add lastlight, if needed
  if( !isset( $entity["sp"]["lastlight"] ) ) {
    $entity["sp"]["lastlight"] = Array( 
      "address" => $localStore->GetRootId() . "/" . $entity['entid'] . "/lastlight", 
      "type" => "BOOL",
      "name" => "lastlight",
      "template" => "lastlight",
      "persistent" => false,
      "hidden" => true,
      "alias"=> Array( 
        "target" => null,
        "timeout" => 0
      )
    );  
    $isChanged = true;
  }  

  // save
  if( $isChanged ) {
    printf( "  add lastdoor/-light to (%s)\r\n", $entity['entid'] );  
    $localStore->Set( $entityId, $entity );
  }
  else {
    printf( "  skip (%s)\r\n", $entity['entid'] );  
  }

}
