<?php
/*-----------------------------------------------------------------------------
 *  UPDATE for 7.2.0 (7169)
 *
 *  - set recode flag to all except asc/asht
 *
 *---------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------
 *  MAIN - FUNCTION
 */
function Update7169()
{
  global $localStore;
  $accessBuild = intval( ACCESS_BUILD );

  if( FORCE || FORCE_6_1 || $localStore->GetBuild( 'folder.confdev' ) <= 7169 )  {
    printf( "Start Update #7169 (currentVersion=%d)\r\n", $accessBuild );
  
    for( $i = 0; $i < $localStore->Size( ); $i++ ) {
      $entityId = $localStore->GetEntityIdAt( $i );
      Update7169Client( $entityId );
    }
  }
  else {
    printf( "Skip update #7169 Server version=%d\r\n", $accessBuild );
  }

}

/*-----------------------------------------------------------------------------
 *  ADD SUS tiles if needed
 */
function Update7169Client( $entityId )
{
  global $localStore;
  $entity = $localStore->Get( $entityId );

  // only client forms will be updated
  if( !isset( $entity['class'] ) ) {
    return;
  }

  // all except software will be updated
  if( $entity['class'] == "client" 
   || $entity['class'] == "asht" 
   || $entity['class'] == "door" 
   || $entity['class'] == "ipcam" 
    ) {
    return;
  }

  // on ssmp devices set recode flag
  if( isset( $entity["video"] ) ) {
    $entity["video"]["h264recode"] = true;
  }

  // save
  $localStore->Set( $entityId, $entity );

}
