<?php
/*-----------------------------------------------------------------------------
 *  UPDATE for 7.2.0 (7176)
 *
 *  - set recode flag to all except asc/asht
 *
 *---------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------
 *  MAIN - FUNCTION
 */
function Update7176()
{
  global $localStore;
  $accessBuild = intval( ACCESS_BUILD );

  if( FORCE || FORCE_6_1 || $localStore->GetBuild( 'folder.confdev' ) <= 7176 )  {
    printf( "Start Update #7176 (currentVersion=%d)\r\n", $accessBuild );
  
    for( $i = 0; $i < $localStore->Size( ); $i++ ) {
      $entityId = $localStore->GetEntityIdAt( $i );
      Update7176Apartment( $entityId );
      Update7176Door( $entityId );
    }
  }
  else {
    printf( "Skip update #7176 Server version=%d\r\n", $accessBuild );
  }

}

/*-----------------------------------------------------------------------------
 *  AFSV devices will not need to transcode from ACTLM
 */
function Update7176Apartment( $entityId )
{
  global $localStore;
  $isChanged = false;
  $entity = $localStore->Get( $entityId );

  // only client forms will be updated
  if( !isset( $entity['class'] ) || ( $entity['class'] != "apartment" ) ) {
    return;
  }

  // all except software will be updated
  if( $entity['deviceTemplate'] == "AFSV" 
   && isset( $entity["video"] )
    ) {
    $entity["video"]["h264recode"] = false;  
    $isChanged = true;
  }


  // save
  if( $isChanged ) {
    $localStore->Set( $entityId, $entity );
  }

}

/*-----------------------------------------------------------------------------
 *  ADD SUS tiles if needed
 */
function Update7176Door( $entityId )
{
  global $localStore;
  $isChanged = false;
  $entity = $localStore->Get( $entityId );

  // only door forms will be updated
  if( !isset( $entity['class'] ) || ( $entity['class'] != "door" ) ) {
    return;
  }

  // check for duplicated entries and delete them
  $hasCameraFound = false;
  $hasGrabpicFound = false;
  foreach( $entity["deviceConfig"] as $index => $deviceConfigEntry )  {
    if( $deviceConfigEntry["template"] == "camera" ) {
      if( $hasCameraFound ) {
        array_splice( $entity["deviceConfig"], $index, 1 );
        $isChanged = true;
      }
      $hasCameraFound = true;
    }
    if( $deviceConfigEntry["template"] == "grabpic" ) {
      if( $hasGrabpicFound ) {
        array_splice( $entity["deviceConfig"], $index, 1 );
        $isChanged = true;
      }
      $hasGrabpicFound = true;
    }
  }

  // save
  if( $isChanged ) {
    $localStore->Set( $entityId, $entity );
  }

}