<?php
/*-----------------------------------------------------------------------------
 *  UPDATE for 7.2.0 (7212)
 *
 *  - set recode flag to all except asc/asht
 *
 *---------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------
 *  MAIN - FUNCTION
 */
function Update7212()
{
  global $localStore;
  $accessBuild = intval( ACCESS_BUILD );

  if( FORCE || FORCE_6_1 || $localStore->GetBuild( 'folder.confdev' ) <= 7212 )  {
    printf( "Start Update #7212 (currentVersion=%d)\r\n", $accessBuild );
  
    for( $i = 0; $i < $localStore->Size( ); $i++ ) {
      $entityId = $localStore->GetEntityIdAt( $i );
      Update7212Apartment( $entityId );
    }
  }
  else {
    printf( "Skip update #7212 Server version=%d\r\n", $accessBuild );
  }

}

/*-----------------------------------------------------------------------------
 *  AFSV devices will not need to transcode from ACTLM
 */
function Update7212Apartment( $entityId )
{
  global $localStore;
  $isChanged = false;
  $entity = $localStore->Get( $entityId );

  // only client forms will be updated
  if( !isset( $entity['class'] ) || ( $entity['class'] != "apartment" ) ) {
    return;
  }

  // all except software will be updated
  if( $entity['deviceTemplate'] == "AVP_870-0" 
   && isset( $entity["video"] )
    ) {
    $entity["video"]["h264recode"] = false;  
    $isChanged = true;
  }


  // save
  if( $isChanged ) {
    $localStore->Set( $entityId, $entity );
  }

}
