<?php
/*-----------------------------------------------------------------------------
 *  UPDATE for 7.2.0 (7223)
 *
 *  - correct jung panel statepoints
 *
 *---------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------
 *  MAIN - FUNCTION
 */
function Update7223()
{
  global $localStore;
  $accessBuild = intval( ACCESS_BUILD );

  if( FORCE || FORCE_6_1 || $localStore->GetBuild( 'folder.confdev' ) <= 7223 )  {
    printf( "Start Update #7223 (currentVersion=%d)\r\n", $accessBuild );
  
    for( $i = 0; $i < $localStore->Size( ); $i++ ) {
      $entityId = $localStore->GetEntityIdAt( $i );
      Update7223Jungpanel( $entityId );
    }
  }
  else {
    printf( "Skip update #7223 Server version=%d\r\n", $accessBuild );
  }

}

/*-----------------------------------------------------------------------------
 *  AFSV devices will not need to transcode from ACTLM
 */
function Update7223Jungpanel( $entityId )
{
  global $localStore;
  $isChanged = false;
  $entity = $localStore->Get( $entityId );

  // only jungpanel forms will be updated
  if( !isset( $entity['class'] ) || ( $entity['class'] != "jungpanel" ) ) {
    return;
  }

  // recalculate sp addresses
  if( isset( $entity['sp'] ) ) {
    foreach( $entity['sp'] as $key => $value ) {
      $spAddress = "system.fj/" . $entity['entid'] . "/" . $key;
      $entity['sp'][ $key ]['address'] = $spAddress;
    }

    $isChanged = true;
  }


  // save
  if( $isChanged ) {
    $localStore->Set( $entityId, $entity );
  }

}
